#
# spec file for package fcitx-m17n
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           fcitx-m17n
Version:        0.2.4
Release:        1.31
Summary:        M17N engine for fcitx
License:        GPL-2.0+
Group:          System/I18n/Chinese 
Url:            https://github.com/fcitx/fcitx-m17n
Source:         http://download.fcitx-im.org/fcitx-m17n/%{name}-%{version}.tar.xz
BuildRequires:  cmake
BuildRequires:  fcitx >= 4.2.1
BuildRequires:  fcitx-devel >= 4.2.1
BuildRequires:  gcc-c++
BuildRequires:  intltool
BuildRequires:  m17n-lib-devel
%if 0%{?suse_version}
BuildRequires:  pkg-config
%else
BuildRequires:  libotf
BuildRequires:  pkgconfig
%endif
BuildRequires:  xz
%{fcitx_requires}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
M17N engine for fcitx. It allows input of many languages using the input table maps from m17n-db.

%prep
%setup -q

%build
mkdir build
cd build
cmake   -DCMAKE_INSTALL_PREFIX=%{_prefix} \
        -DLIB_INSTALL_DIR=%{_libdir} \
        ..
make

%install
pushd build
make DESTDIR=$RPM_BUILD_ROOT install
popd

%find_lang %{name}

strip %{buildroot}%{_fcitx_libdir}/%{name}.so

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_fcitx_libdir}/%{name}.so
%{_fcitx_addondir}/%{name}.conf
%{_fcitx_descdir}/%{name}.desc
%{_fcitx_datadir}/m17n

%changelog
* Sat Dec  2 2017 i@marguerite.su
- update version 0.2.4
  * fix some memory leak
* Mon Jun  9 2014 i@marguerite.su
- update version 0.2.3
  * Fix github issue fcitx/fcitx#153
* Wed Nov  6 2013 i@marguerite.su
- update version 0.2.2
  * fix problem under non-utf8 locale
  * fix key translation with two modifier
* Mon Jul  1 2013 i@marguerite.su
- update version 0.2.1
  * Translation Update
* Sat Jan 26 2013 i@marguerite.su
- update to 0.2.0
  * Fix py hide by default bug.
* Mon Jan 21 2013 i@marguerite.su
- update to 0.1.4
  * Fix a typo in default m17n list
  * Fix latn-post u + : and some similar composition
* Fri Oct 19 2012 i@marguerite.su
- Bugfix release, and introduce a new override file that can disable and enable
  some input method on some system by default.
* Mon Jun 25 2012 i@marguerite.su
- fix fedora builds.
* Sun May  6 2012 i@marguerite.su
- update version 0.1.2
  * add surrounding text support
* Sun Apr  8 2012 i@marguerite.su
- update version 0.1.1
  * Fix wrong option name.
  * If available, don’t display preedit in input window.
* Wed Mar 23 2011 hillwood@linuxfans.org
- first package for 0.1.0
  * New release, with m17n support.
